import request from 'ecip-web/utils/request'

export const getData = (params, data) => {
  return request({
    url: 'api/v1/test/testdatamainshow/testDataMainFormShow/data',
    method: 'post',
    params: params,
    data: data
  })
}

export const getById = (id) => {
  return request({
    url: `api/v1/test/testdatamainshow/testDataMainFormShow/${id}`,
    method: 'get'
  })
}

export const getList = (params, withChild) => {
  return request({
    url: `api/v1/test/testdatamainshow/testDataMainFormShow/list`,
    method: 'get',
    params: {...params, withChild: withChild || false}
  })
}


export const deleteByIds = (ids) => {
  return request({
    url: `api/v1/test/testdatamainshow/testDataMainFormShow/deleteByIds`,
    method: 'delete',
    data: ids || []
  })
}

export const save = (data) => {
  return request({
    url: 'api/v1/test/testdatamainshow/testDataMainFormShow',
    method: 'post',
    data: data
  })
}

export const update = (id, data) => {
  return request({
    url: `api/v1/test/testdatamainshow/testDataMainFormShow/update/${id}`,
    method: 'put',
    data: data
  })
}