import request from 'ecip-web/utils/request'

export const getData = (params, data) => {
  return request({
    url: 'api/v1/genConfig/showType/data',
    method: 'post',
    params: params,
    data: data
  })
}

export const getById = (id) => {
  return request({
    url: `api/v1/genConfig/showType/${id}`,
    method: 'get'
  })
}

export const listVo = () => {
  return request({
    url: `api/v1/genConfig/showType/listVo`,
    method: 'get'
  })
}

export const deleteByIds = (ids) => {
  return request({
    url: 'api/v1/genConfig/showType/deleteByIds',
    method: 'delete',
    data: ids || []
  })
}

export const save = (data) => {
  return request({
    url: 'api/v1/genConfig/showType',
    method: 'post',
    data: data
  })
}

export const update = (id, data) => {
  return request({
    url: `api/v1/genConfig/showType/${id}`,
    method: 'put',
    data: data
  })
}
