import request from 'ecip-web/utils/request'

export const getData = (params, data) => {
  return request({
    url: 'api/v1/genConfig/tableFieldType/data',
    method: 'post',
    params: params,
    data: data
  })
}

export const getList = (params) => {
  return request({
    url: 'api/v1/genConfig/tableFieldType/list',
    method: 'get',
    params: params
  })
}

export const getById = (id) => {
  return request({
    url: `api/v1/genConfig/tableFieldType/getById/${id}`,
    method: 'get'
  })
}

export const deleteByIds = (ids) => {
  return request({
    url: 'api/v1/genConfig/tableFieldType/deleteByIds',
    method: 'delete',
    data: ids || []
  })
}

export const save = (data) => {
  return request({
    url: 'api/v1/genConfig/tableFieldType',
    method: 'post',
    data: data
  })
}

export const update = (id, data) => {
  return request({
    url: `api/v1/genConfig/tableFieldType/${id}`,
    method: 'put',
    data: data
  })
}
